## GimpAspectPreview

GimpAspectPreview — A widget providing a preview with fixed aspect ratio.

## Synopsis

                GimpAspectPreview;
    GtkWidget*  gimp_aspect_preview_new         (GimpDrawable *drawable,
                                                 gboolean *toggle);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkVBox
                                     +----GimpPreview
                                           +----GimpAspectPreview

## Implemented Interfaces

GimpAspectPreview implements AtkImplementorIface.

## Description

A widget providing a preview with fixed aspect ratio.

## Details

### GimpAspectPreview

    typedef struct _GimpAspectPreview GimpAspectPreview;

### gimp_aspect_preview_new ()

    GtkWidget*  gimp_aspect_preview_new         (GimpDrawable *drawable,
                                                 gboolean *toggle);

`drawable` : |
`toggle` : |
Returns : |